# Snyk CLI

Snyk CLI scans and monitors your projects for security vulnerabilities.

Visit https://snyk.io for more details.

## Not sure where to start?

1. Authenticate with `snyk auth`.
2. Test your local project with `snyk test`.
3. Get alerted for new vulnerabilities with `snyk monitor`.

## Available commands

To learn more about Snyk CLI use the `--help` option, e.g. `snyk container --help` or `snyk auth --help`.

### `snyk auth`

Authenticate Snyk CLI with a Snyk account.

### `snyk test`

Test local project's dependencies for vulnerabilities.

### `snyk monitor`

Snapshot and continuously monitor your project.

### `snyk container`

Test container images for vulnerabilities.

### `snyk iac`

Find security issues in your Infrastructure as Code files.

### `snyk code`

Find security issues using static code analysis.

### `snyk config`

Manage Snyk CLI configuration.

### `snyk protect`

Applies the patches specified in your .snyk file to the local file system.

### `snyk policy`

Display the `.snyk` policy for a package.

### `snyk ignore`

Modifies the `.snyk` policy to ignore stated issues.

### `snyk wizard`

Configure your `.snyk` policy file.
